KDE 4.2 PyKDE API Reference

- KDE's Python API

# Label Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsProxyWidget → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

Label plasma/widgets/label.h <Plasma/Widgets/Label>

Provides a plasma-themed QLabel.

## Signals

| linkActivated (QString link)

## Methods

| __init__ (self, QGraphicsWidget parent=0)
Qt.Alignment | alignment (self)
| dataUpdated (self, QString sourceName, Plasma.DataEngine.Data data)
bool | hasScaledContents (self)
QString | image (self)
| linkActivated (self, QString link)
QLabel | nativeWidget (self)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| setAlignment (self, Qt.Alignment alignment)
| setImage (self, QString path)
| setScaledContents (self, bool scaled)
| setStyleSheet (self, QString stylesheet)
| setText (self, QString text)
QString | styleSheet (self)
QString | text (self)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

Qt.Alignment alignment | ( |  | self ) |

Returns:
  the alignment for the text used in the labels

dataUpdated | ( | self, |
|  | QString | sourceName,
|  | Plasma.DataEngine.Data | data
| ) |  |  |

bool hasScaledContents | ( |  | self ) |

Returns:
  true if the contents are scaled to the label size

QString image | ( |  | self ) |

Returns:
  the image path being displayed currently, or an empty string if none.

linkActivated | ( | self, |
|  | QString | link
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("linkActivated(const QString&)"), target_slot)`

QLabel nativeWidget | ( |  | self ) |

Returns:
  the native widget wrapped by this Label

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

setAlignment | ( | self, |
|  | Qt.Alignment | alignment
| ) |  |  |

Sets the alignment for the text

@arg the desired alignment

setImage | ( | self, |
|  | QString | path
| ) |  |  |

Sets the path to an image to display.

@arg path the path to the image; if a relative path, then a themed image will be loaded.

setScaledContents | ( | self, |
|  | bool | scaled
| ) |  |  |

Scale or not the contents of the label to the label size

@arg scale

setStyleSheet | ( | self, |
|  | QString | stylesheet
| ) |  |  |

Sets the stylesheet used to control the visual display of this Label

@arg stylesheet a CSS string

setText | ( | self, |
|  | QString | text
| ) |  |  |

Sets the display text for this Label

@arg text the text to display; should be translated.

QString styleSheet | ( |  | self ) |

Returns:
  the stylesheet currently used with this widget

QString text | ( |  | self ) |

Returns:
  the display text